Rerank documents
curl --request POST \
--url https://api.tokenfactory.nebius.com/v1/rerank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"query": "<string>",
"documents": [
"<string>"
],
"user": "<string>",
"service_tier": "auto"
}
'import requests
url = "https://api.tokenfactory.nebius.com/v1/rerank"
payload = {
"model": "<string>",
"query": "<string>",
"documents": ["<string>"],
"user": "<string>",
"service_tier": "auto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
query: '<string>',
documents: ['<string>'],
user: '<string>',
service_tier: 'auto'
})
};
fetch('https://api.tokenfactory.nebius.com/v1/rerank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "rerank-bbbxyuxyu643b6af",
"model": "Qwen/Qwen3-Reranker-8B",
"usage": {
"prompt_tokens": 65,
"total_tokens": 65
},
"results": [
{
"index": 1,
"document": {
"text": "Belgrade"
},
"relevance_score": 0.9456538558006287
},
{
"index": 2,
"document": {
"text": "Shrek's swamp"
},
"relevance_score": 0.8282327651977539
},
{
"index": 0,
"document": {
"text": "Amsterdam"
},
"relevance_score": 0.16313764452934265
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}inference
Rerank documents
Reranks documents based on their relevance to a query.
POST
/
v1
/
rerank
Rerank documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
current project ID
Body
application/json
ID of the model to use.
Example:
"Qwen/Qwen3-Reranker-8B"
Query to rerank, encoded as a string.
Example:
"What is the capital of France?"
Documents to rerank, encoded as a list of strings.
Example:
[
"The capital of Brazil is Brasilia.",
"The capital of France is Paris.",
"Amsterdam",
"Belgrade"
]
A unique identifier representing your end-user.
The service tier to use for the request.
Available options:
auto, default, over-limit, flex, no-limit Examples:
"auto"
"flex"
Was this page helpful?
⌘I